List task runs
Retrieve a list of task runs.
addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Query Parameters
Date and time for the latest run to retrieve, in RFC 3339 format. By default, the current day is used.
Number of items per page.
1 <= x <= 100Sort order of the response, ascending or descending. Ascending or descending sort order.
asc, desc Page number of the paginated API response. Page of the API response to retrieve.
x >= 1Property by which to sort the list of task runs.
status, updatedAt, createdAt Date and time for the earliest run to retrieve, in RFC 3339 format. By default, the current day minus seven days is used.
Run status for filtering the list of task runs.
Task run status.
created, started, finished, skipped Task ID for filtering the list of task runs. Universally unique identifier (UUID) of a task.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Run type for filtering the list of task runs.
Task run type.
reindex, update, discover, validate, push